Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.vecmath
Class Vector4d

    java.lang.Object
      javax.vecmath.Tuple4d
          javax.vecmath.Vector4d

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class Vector4d

extends Tuple4d
implements java.io.Serializable

A 4-element vector represented by double-precision floating point x,y,z,w coordinates.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.vecmath.Tuple4d
`w, x, y, z`

Constructor Summary
`Vector4d()` Constructs and initializes a Vector4d to (0,0,0,0).
`Vector4d(double[] v)` Constructs and initializes a Vector4d from the coordinates contained in the array.
`Vector4d(double x, double y, double z, double w)` Constructs and initializes a Vector4d from the specified xyzw coordinates.
`Vector4d(Tuple3d t1)` Constructs and initializes a Vector4d from the specified Tuple3d.
`Vector4d(Tuple4d t1)` Constructs and initializes a Vector4d from the specified Tuple4d.
`Vector4d(Tuple4f t1)` Constructs and initializes a Vector4d from the specified Tuple4f.
`Vector4d(Vector4d v1)` Constructs and initializes a Vector4d from the specified Vector4d.
`Vector4d(Vector4f v1)` Constructs and initializes a Vector4d from the specified Vector4f.

Method Summary
`double` | `angle(Vector4d v1)` Returns the (4-space) angle in radians between this vector and the vector parameter; the return value is constrained to the range [0,PI].
`double` | `dot(Vector4d v1)` Returns the dot product of this vector and vector v1.
`double` | `length()` Returns the length of this vector.
`double` | `lengthSquared()` Returns the squared length of this vector.
`void` | `normalize()` Normalizes this vector in place.
`void` | `normalize(Vector4d v1)` Sets the value of this vector to the normalization of vector v1.
`void` | `set(Tuple3d t1)` Sets the x,y,z components of this vector to the corresponding components of tuple t1.

Methods inherited from class javax.vecmath.Tuple4d
`absolute, absolute, add, add, clamp, clamp, clamp, clamp, clampMax, clampMax, clampMax, clampMax, clampMin, clampMin, clampMin, clampMin, clone, epsilonEquals, equals, equals, get, get, hashCode, interpolate, interpolate, interpolate, interpolate, negate, negate, scale, scale, scaleAdd, scaleAdd, scaleAdd, set, set, set, set, sub, sub, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Vector4d

    public Vector4d(double x,
                    double y,
                    double z,
                    double w)

  Constructs and initializes a Vector4d from the specified xyzw coordinates.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate
    `z` - the z coordinate
    `w` - the w coordinate

### Vector4d

    public Vector4d(double[] v)

  Constructs and initializes a Vector4d from the coordinates contained in the array.

  Parameters:
    `v` - the array of length 4 containing xyzw in order

### Vector4d

    public Vector4d(Vector4d v1)

  Constructs and initializes a Vector4d from the specified Vector4d.

  Parameters:
    `v1` - the Vector4d containing the initialization x y z w data

### Vector4d

    public Vector4d(Vector4f v1)

  Constructs and initializes a Vector4d from the specified Vector4f.

  Parameters:
    `v1` - the Vector4f containing the initialization x y z w data

### Vector4d

    public Vector4d(Tuple4f t1)

  Constructs and initializes a Vector4d from the specified Tuple4f.

  Parameters:
    `t1` - the Tuple4f containing the initialization x y z w data

### Vector4d

    public Vector4d(Tuple4d t1)

  Constructs and initializes a Vector4d from the specified Tuple4d.

  Parameters:
    `t1` - the Tuple4d containing the initialization x y z w data

### Vector4d

    public Vector4d(Tuple3d t1)

  Constructs and initializes a Vector4d from the specified Tuple3d. The x,y,z components of this vector are set to the corresponding components of tuple t1. The w component of this vector is set to 0.

  Parameters:
    `t1` - the tuple to be copied
  Since:
    Java 3D 1.2

### Vector4d

    public Vector4d()

  Constructs and initializes a Vector4d to (0,0,0,0).

Method Detail

### set

    public final void set(Tuple3d t1)

  Sets the x,y,z components of this vector to the corresponding components of tuple t1. The w component of this vector is set to 0.

  Parameters:
    `t1` - the tuple to be copied
  Since:
    Java 3D 1.2

### length

    public final double length()

  Returns the length of this vector.

  Returns:
    the length of this vector

### lengthSquared

    public final double lengthSquared()

  Returns the squared length of this vector.

  Returns:
    the squared length of this vector

### dot

    public final double dot(Vector4d v1)

  Returns the dot product of this vector and vector v1.

  Parameters:
    `v1` - the other vector
  Returns:
    the dot product of this vector and vector v1

### normalize

    public final void normalize(Vector4d v1)

  Sets the value of this vector to the normalization of vector v1.

  Parameters:
    `v1` - the un-normalized vector

### normalize

    public final void normalize()

  Normalizes this vector in place.

### angle

    public final double angle(Vector4d v1)

  Returns the (4-space) angle in radians between this vector and the vector parameter; the return value is constrained to the range [0,PI].

  Parameters:
    `v1` - the other vector
  Returns:
    the angle in radians in the range [0,PI]

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD